Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1322556 - Fix build on MIPS
Summary: Fix build on MIPS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mpich
Version: 25
Hardware: mips64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2016-03-30 17:49 UTC by Michal Toman
Modified: 2017-11-12 11:37 UTC (History)
2 users (show)

Fixed In Version: mpich-3.2-6.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-12 11:37:34 UTC


Attachments (Terms of Use)
Fix-build-on-MIPS.patch (deleted)
2016-03-30 17:49 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2016-03-30 17:49:15 UTC
Created attachment 1141882 [details]
Fix-build-on-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires tweaking mpich specfile. We have no working valgrind builds on MIPS at this moment and MIPS does not accept the -m32/-m64 GCC flags.

Actual results:
Build requires valgrind-devel on MIPS, -m32/-m64 is specified

Expected results:
Build does not require valgrind-devel, -m32/-m64 is omitted

Additional info:
Attachind dist-git patch. It would be great if this could also be applied to F24.

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-03-31 03:36:41 UTC
Built in F24 and rawhide.

Comment 2 Jan Kurik 2016-07-26 05:13:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Zbigniew Jędrzejewski-Szmek 2017-11-12 11:37:34 UTC
Oops, forgot to close this.


Note You need to log in before you can comment on or make changes to this bug.